<template>
    <form class="mb-3 form-group d-flex" v-on:submit.prevent="submit()">
        <input class="form-control" maxlength="10" v-model="pokemonName" type="text" placeholder="Pokémon name/ID"
            aria-label="default input example">
        <button @click="fetchPokemon" class="btn btn-primary">
            <i class="bi bi-search"></i>
        </button>
    </form>
</template>
<script>



export default {
    data() {
        return {
            pokemonName: '',
        };
    },
    methods: {
        fetchPokemon() {
            this.$emit('search', this.pokemonName);
        },
        submit(){},
    },
};
</script>
